org.apache.bsf.util

## Class DebugLog

- java.lang.Object
- - org.apache.bsf.util.DebugLog

-     public class DebugLog
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BSF_LOG_L0`
    `static int` | `BSF_LOG_L1`
    `static int` | `BSF_LOG_L2`
    `static int` | `BSF_LOG_L3`
    `static java.util.Hashtable` | `logLevels`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebugLog()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `debugPrint(java.lang.Object obj, int prio)`
    `static void` | `debugPrintln(java.lang.Object obj, int prio)`
    `static java.io.PrintStream` | `getDebugStream()`
    `static int` | `getLogLevel()`
    `static void` | `setDebugStream(java.io.PrintStream dbgStream)`
    `static void` | `setLogLevel(int loglvl)`
    `static void` | `stderrPrint(java.lang.Object obj, int prio)`
    `static void` | `stderrPrintln(java.lang.Object obj, int prio)`
    `static void` | `stdoutPrint(java.lang.Object obj, int prio)`
    `static void` | `stdoutPrintln(java.lang.Object obj, int prio)`
    `static void` | `streamPrint(java.lang.Object obj, java.io.OutputStream ostrm, int prio)`
    `static void` | `streamPrintln(java.lang.Object obj, java.io.OutputStream ostrm, int prio)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BSF_LOG_L0

          public static final int BSF_LOG_L0

      See Also:
        Constant Field Values

    - #### BSF_LOG_L1

          public static final int BSF_LOG_L1

      See Also:
        Constant Field Values

    - #### BSF_LOG_L2

          public static final int BSF_LOG_L2

      See Also:
        Constant Field Values

    - #### BSF_LOG_L3

          public static final int BSF_LOG_L3

      See Also:
        Constant Field Values

    - #### logLevels

          public static java.util.Hashtable logLevels

  - ### Constructor Detail

    - #### DebugLog

          public DebugLog()

  - ### Method Detail

    - #### stdoutPrint

          public static void stdoutPrint(java.lang.Object obj,
                                         int prio)

    - #### stdoutPrintln

          public static void stdoutPrintln(java.lang.Object obj,
                                           int prio)

    - #### stderrPrint

          public static void stderrPrint(java.lang.Object obj,
                                         int prio)

    - #### stderrPrintln

          public static void stderrPrintln(java.lang.Object obj,
                                           int prio)

    - #### debugPrint

          public static void debugPrint(java.lang.Object obj,
                                        int prio)

    - #### debugPrintln

          public static void debugPrintln(java.lang.Object obj,
                                          int prio)

    - #### setDebugStream

          public static void setDebugStream(java.io.PrintStream dbgStream)

    - #### getDebugStream

          public static java.io.PrintStream getDebugStream()

    - #### setLogLevel

          public static void setLogLevel(int loglvl)

    - #### getLogLevel

          public static int getLogLevel()

    - #### streamPrint

          public static void streamPrint(java.lang.Object obj,
                                         java.io.OutputStream ostrm,
                                         int prio)

    - #### streamPrintln

          public static void streamPrintln(java.lang.Object obj,
                                           java.io.OutputStream ostrm,
                                           int prio)